Report usage
curl --request POST \
--url https://api.paybridgenp.com/v1/billing/subscriptions/{id}/usage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quantity": 1,
"action": "increment",
"recorded_at": "2023-11-07T05:31:56Z",
"idempotency_key": "<string>"
}
'import requests
url = "https://api.paybridgenp.com/v1/billing/subscriptions/{id}/usage"
payload = {
"quantity": 1,
"action": "increment",
"recorded_at": "2023-11-07T05:31:56Z",
"idempotency_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quantity: 1,
action: 'increment',
recorded_at: '2023-11-07T05:31:56Z',
idempotency_key: '<string>'
})
};
fetch('https://api.paybridgenp.com/v1/billing/subscriptions/{id}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"created": true
}{
"id": "<string>",
"object": "usage_record",
"created": true
}{
"error": {
"message": "<string>",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}Subscriptions
Report usage
Records a usage event for a metered subscription. Use idempotency_key to safely retry without double-counting.
POST
/
v1
/
billing
/
subscriptions
/
{id}
/
usage
Report usage
Authorizations
Your PayBridgeNP API key. Obtain one from the dashboard under Settings → API Keys. Prefix: sk_test_ for testing, sk_live_ for production.
Path Parameters
Body
application/json
Was this page helpful?
⌘I